Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network164.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
164.136.0.0
Broadcast address
164.143.255.255
First usable
164.136.0.1
Last usable
164.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex A4880000 · Integer 2760376320 to 2760900607
Reverse DNS zones
136.164.in-addr.arpa
137.164.in-addr.arpa
138.164.in-addr.arpa
139.164.in-addr.arpa
140.164.in-addr.arpa
141.164.in-addr.arpa
142.164.in-addr.arpa
143.164.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100100.10001000.00000000.00000000164.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10100100.10001000.00000000.00000000164.136.0.0
Broadcast10100100.10001111.11111111.11111111164.143.255.255
Split into smaller subnets/21

164.136.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1164.136.0.0/21164.136.0.1 to 164.136.7.254164.136.7.2552,046
2164.136.8.0/21164.136.8.1 to 164.136.15.254164.136.15.2552,046
3164.136.16.0/21164.136.16.1 to 164.136.23.254164.136.23.2552,046
4164.136.24.0/21164.136.24.1 to 164.136.31.254164.136.31.2552,046
5164.136.32.0/21164.136.32.1 to 164.136.39.254164.136.39.2552,046
6164.136.40.0/21164.136.40.1 to 164.136.47.254164.136.47.2552,046
7164.136.48.0/21164.136.48.1 to 164.136.55.254164.136.55.2552,046
8164.136.56.0/21164.136.56.1 to 164.136.63.254164.136.63.2552,046
9164.136.64.0/21164.136.64.1 to 164.136.71.254164.136.71.2552,046
10164.136.72.0/21164.136.72.1 to 164.136.79.254164.136.79.2552,046
11164.136.80.0/21164.136.80.1 to 164.136.87.254164.136.87.2552,046
12164.136.88.0/21164.136.88.1 to 164.136.95.254164.136.95.2552,046
13164.136.96.0/21164.136.96.1 to 164.136.103.254164.136.103.2552,046
14164.136.104.0/21164.136.104.1 to 164.136.111.254164.136.111.2552,046
15164.136.112.0/21164.136.112.1 to 164.136.119.254164.136.119.2552,046
16164.136.120.0/21164.136.120.1 to 164.136.127.254164.136.127.2552,046
17164.136.128.0/21164.136.128.1 to 164.136.135.254164.136.135.2552,046
18164.136.136.0/21164.136.136.1 to 164.136.143.254164.136.143.2552,046
19164.136.144.0/21164.136.144.1 to 164.136.151.254164.136.151.2552,046
20164.136.152.0/21164.136.152.1 to 164.136.159.254164.136.159.2552,046
21164.136.160.0/21164.136.160.1 to 164.136.167.254164.136.167.2552,046
22164.136.168.0/21164.136.168.1 to 164.136.175.254164.136.175.2552,046
23164.136.176.0/21164.136.176.1 to 164.136.183.254164.136.183.2552,046
24164.136.184.0/21164.136.184.1 to 164.136.191.254164.136.191.2552,046
25164.136.192.0/21164.136.192.1 to 164.136.199.254164.136.199.2552,046
26164.136.200.0/21164.136.200.1 to 164.136.207.254164.136.207.2552,046
27164.136.208.0/21164.136.208.1 to 164.136.215.254164.136.215.2552,046
28164.136.216.0/21164.136.216.1 to 164.136.223.254164.136.223.2552,046
29164.136.224.0/21164.136.224.1 to 164.136.231.254164.136.231.2552,046
30164.136.232.0/21164.136.232.1 to 164.136.239.254164.136.239.2552,046
31164.136.240.0/21164.136.240.1 to 164.136.247.254164.136.247.2552,046
32164.136.248.0/21164.136.248.1 to 164.136.255.254164.136.255.2552,046
33164.137.0.0/21164.137.0.1 to 164.137.7.254164.137.7.2552,046
34164.137.8.0/21164.137.8.1 to 164.137.15.254164.137.15.2552,046
35164.137.16.0/21164.137.16.1 to 164.137.23.254164.137.23.2552,046
36164.137.24.0/21164.137.24.1 to 164.137.31.254164.137.31.2552,046
37164.137.32.0/21164.137.32.1 to 164.137.39.254164.137.39.2552,046
38164.137.40.0/21164.137.40.1 to 164.137.47.254164.137.47.2552,046
39164.137.48.0/21164.137.48.1 to 164.137.55.254164.137.55.2552,046
40164.137.56.0/21164.137.56.1 to 164.137.63.254164.137.63.2552,046
41164.137.64.0/21164.137.64.1 to 164.137.71.254164.137.71.2552,046
42164.137.72.0/21164.137.72.1 to 164.137.79.254164.137.79.2552,046
43164.137.80.0/21164.137.80.1 to 164.137.87.254164.137.87.2552,046
44164.137.88.0/21164.137.88.1 to 164.137.95.254164.137.95.2552,046
45164.137.96.0/21164.137.96.1 to 164.137.103.254164.137.103.2552,046
46164.137.104.0/21164.137.104.1 to 164.137.111.254164.137.111.2552,046
47164.137.112.0/21164.137.112.1 to 164.137.119.254164.137.119.2552,046
48164.137.120.0/21164.137.120.1 to 164.137.127.254164.137.127.2552,046
49164.137.128.0/21164.137.128.1 to 164.137.135.254164.137.135.2552,046
50164.137.136.0/21164.137.136.1 to 164.137.143.254164.137.143.2552,046
51164.137.144.0/21164.137.144.1 to 164.137.151.254164.137.151.2552,046
52164.137.152.0/21164.137.152.1 to 164.137.159.254164.137.159.2552,046
53164.137.160.0/21164.137.160.1 to 164.137.167.254164.137.167.2552,046
54164.137.168.0/21164.137.168.1 to 164.137.175.254164.137.175.2552,046
55164.137.176.0/21164.137.176.1 to 164.137.183.254164.137.183.2552,046
56164.137.184.0/21164.137.184.1 to 164.137.191.254164.137.191.2552,046
57164.137.192.0/21164.137.192.1 to 164.137.199.254164.137.199.2552,046
58164.137.200.0/21164.137.200.1 to 164.137.207.254164.137.207.2552,046
59164.137.208.0/21164.137.208.1 to 164.137.215.254164.137.215.2552,046
60164.137.216.0/21164.137.216.1 to 164.137.223.254164.137.223.2552,046
61164.137.224.0/21164.137.224.1 to 164.137.231.254164.137.231.2552,046
62164.137.232.0/21164.137.232.1 to 164.137.239.254164.137.239.2552,046
63164.137.240.0/21164.137.240.1 to 164.137.247.254164.137.247.2552,046
64164.137.248.0/21164.137.248.1 to 164.137.255.254164.137.255.2552,046
65164.138.0.0/21164.138.0.1 to 164.138.7.254164.138.7.2552,046
66164.138.8.0/21164.138.8.1 to 164.138.15.254164.138.15.2552,046
67164.138.16.0/21164.138.16.1 to 164.138.23.254164.138.23.2552,046
68164.138.24.0/21164.138.24.1 to 164.138.31.254164.138.31.2552,046
69164.138.32.0/21164.138.32.1 to 164.138.39.254164.138.39.2552,046
70164.138.40.0/21164.138.40.1 to 164.138.47.254164.138.47.2552,046
71164.138.48.0/21164.138.48.1 to 164.138.55.254164.138.55.2552,046
72164.138.56.0/21164.138.56.1 to 164.138.63.254164.138.63.2552,046
73164.138.64.0/21164.138.64.1 to 164.138.71.254164.138.71.2552,046
74164.138.72.0/21164.138.72.1 to 164.138.79.254164.138.79.2552,046
75164.138.80.0/21164.138.80.1 to 164.138.87.254164.138.87.2552,046
76164.138.88.0/21164.138.88.1 to 164.138.95.254164.138.95.2552,046
77164.138.96.0/21164.138.96.1 to 164.138.103.254164.138.103.2552,046
78164.138.104.0/21164.138.104.1 to 164.138.111.254164.138.111.2552,046
79164.138.112.0/21164.138.112.1 to 164.138.119.254164.138.119.2552,046
80164.138.120.0/21164.138.120.1 to 164.138.127.254164.138.127.2552,046
81164.138.128.0/21164.138.128.1 to 164.138.135.254164.138.135.2552,046
82164.138.136.0/21164.138.136.1 to 164.138.143.254164.138.143.2552,046
83164.138.144.0/21164.138.144.1 to 164.138.151.254164.138.151.2552,046
84164.138.152.0/21164.138.152.1 to 164.138.159.254164.138.159.2552,046
85164.138.160.0/21164.138.160.1 to 164.138.167.254164.138.167.2552,046
86164.138.168.0/21164.138.168.1 to 164.138.175.254164.138.175.2552,046
87164.138.176.0/21164.138.176.1 to 164.138.183.254164.138.183.2552,046
88164.138.184.0/21164.138.184.1 to 164.138.191.254164.138.191.2552,046
89164.138.192.0/21164.138.192.1 to 164.138.199.254164.138.199.2552,046
90164.138.200.0/21164.138.200.1 to 164.138.207.254164.138.207.2552,046
91164.138.208.0/21164.138.208.1 to 164.138.215.254164.138.215.2552,046
92164.138.216.0/21164.138.216.1 to 164.138.223.254164.138.223.2552,046
93164.138.224.0/21164.138.224.1 to 164.138.231.254164.138.231.2552,046
94164.138.232.0/21164.138.232.1 to 164.138.239.254164.138.239.2552,046
95164.138.240.0/21164.138.240.1 to 164.138.247.254164.138.247.2552,046
96164.138.248.0/21164.138.248.1 to 164.138.255.254164.138.255.2552,046
97164.139.0.0/21164.139.0.1 to 164.139.7.254164.139.7.2552,046
98164.139.8.0/21164.139.8.1 to 164.139.15.254164.139.15.2552,046
99164.139.16.0/21164.139.16.1 to 164.139.23.254164.139.23.2552,046
100164.139.24.0/21164.139.24.1 to 164.139.31.254164.139.31.2552,046
101164.139.32.0/21164.139.32.1 to 164.139.39.254164.139.39.2552,046
102164.139.40.0/21164.139.40.1 to 164.139.47.254164.139.47.2552,046
103164.139.48.0/21164.139.48.1 to 164.139.55.254164.139.55.2552,046
104164.139.56.0/21164.139.56.1 to 164.139.63.254164.139.63.2552,046
105164.139.64.0/21164.139.64.1 to 164.139.71.254164.139.71.2552,046
106164.139.72.0/21164.139.72.1 to 164.139.79.254164.139.79.2552,046
107164.139.80.0/21164.139.80.1 to 164.139.87.254164.139.87.2552,046
108164.139.88.0/21164.139.88.1 to 164.139.95.254164.139.95.2552,046
109164.139.96.0/21164.139.96.1 to 164.139.103.254164.139.103.2552,046
110164.139.104.0/21164.139.104.1 to 164.139.111.254164.139.111.2552,046
111164.139.112.0/21164.139.112.1 to 164.139.119.254164.139.119.2552,046
112164.139.120.0/21164.139.120.1 to 164.139.127.254164.139.127.2552,046
113164.139.128.0/21164.139.128.1 to 164.139.135.254164.139.135.2552,046
114164.139.136.0/21164.139.136.1 to 164.139.143.254164.139.143.2552,046
115164.139.144.0/21164.139.144.1 to 164.139.151.254164.139.151.2552,046
116164.139.152.0/21164.139.152.1 to 164.139.159.254164.139.159.2552,046
117164.139.160.0/21164.139.160.1 to 164.139.167.254164.139.167.2552,046
118164.139.168.0/21164.139.168.1 to 164.139.175.254164.139.175.2552,046
119164.139.176.0/21164.139.176.1 to 164.139.183.254164.139.183.2552,046
120164.139.184.0/21164.139.184.1 to 164.139.191.254164.139.191.2552,046
121164.139.192.0/21164.139.192.1 to 164.139.199.254164.139.199.2552,046
122164.139.200.0/21164.139.200.1 to 164.139.207.254164.139.207.2552,046
123164.139.208.0/21164.139.208.1 to 164.139.215.254164.139.215.2552,046
124164.139.216.0/21164.139.216.1 to 164.139.223.254164.139.223.2552,046
125164.139.224.0/21164.139.224.1 to 164.139.231.254164.139.231.2552,046
126164.139.232.0/21164.139.232.1 to 164.139.239.254164.139.239.2552,046
127164.139.240.0/21164.139.240.1 to 164.139.247.254164.139.247.2552,046
128164.139.248.0/21164.139.248.1 to 164.139.255.254164.139.255.2552,046
129164.140.0.0/21164.140.0.1 to 164.140.7.254164.140.7.2552,046
130164.140.8.0/21164.140.8.1 to 164.140.15.254164.140.15.2552,046
131164.140.16.0/21164.140.16.1 to 164.140.23.254164.140.23.2552,046
132164.140.24.0/21164.140.24.1 to 164.140.31.254164.140.31.2552,046
133164.140.32.0/21164.140.32.1 to 164.140.39.254164.140.39.2552,046
134164.140.40.0/21164.140.40.1 to 164.140.47.254164.140.47.2552,046
135164.140.48.0/21164.140.48.1 to 164.140.55.254164.140.55.2552,046
136164.140.56.0/21164.140.56.1 to 164.140.63.254164.140.63.2552,046
137164.140.64.0/21164.140.64.1 to 164.140.71.254164.140.71.2552,046
138164.140.72.0/21164.140.72.1 to 164.140.79.254164.140.79.2552,046
139164.140.80.0/21164.140.80.1 to 164.140.87.254164.140.87.2552,046
140164.140.88.0/21164.140.88.1 to 164.140.95.254164.140.95.2552,046
141164.140.96.0/21164.140.96.1 to 164.140.103.254164.140.103.2552,046
142164.140.104.0/21164.140.104.1 to 164.140.111.254164.140.111.2552,046
143164.140.112.0/21164.140.112.1 to 164.140.119.254164.140.119.2552,046
144164.140.120.0/21164.140.120.1 to 164.140.127.254164.140.127.2552,046
145164.140.128.0/21164.140.128.1 to 164.140.135.254164.140.135.2552,046
146164.140.136.0/21164.140.136.1 to 164.140.143.254164.140.143.2552,046
147164.140.144.0/21164.140.144.1 to 164.140.151.254164.140.151.2552,046
148164.140.152.0/21164.140.152.1 to 164.140.159.254164.140.159.2552,046
149164.140.160.0/21164.140.160.1 to 164.140.167.254164.140.167.2552,046
150164.140.168.0/21164.140.168.1 to 164.140.175.254164.140.175.2552,046
151164.140.176.0/21164.140.176.1 to 164.140.183.254164.140.183.2552,046
152164.140.184.0/21164.140.184.1 to 164.140.191.254164.140.191.2552,046
153164.140.192.0/21164.140.192.1 to 164.140.199.254164.140.199.2552,046
154164.140.200.0/21164.140.200.1 to 164.140.207.254164.140.207.2552,046
155164.140.208.0/21164.140.208.1 to 164.140.215.254164.140.215.2552,046
156164.140.216.0/21164.140.216.1 to 164.140.223.254164.140.223.2552,046
157164.140.224.0/21164.140.224.1 to 164.140.231.254164.140.231.2552,046
158164.140.232.0/21164.140.232.1 to 164.140.239.254164.140.239.2552,046
159164.140.240.0/21164.140.240.1 to 164.140.247.254164.140.247.2552,046
160164.140.248.0/21164.140.248.1 to 164.140.255.254164.140.255.2552,046
161164.141.0.0/21164.141.0.1 to 164.141.7.254164.141.7.2552,046
162164.141.8.0/21164.141.8.1 to 164.141.15.254164.141.15.2552,046
163164.141.16.0/21164.141.16.1 to 164.141.23.254164.141.23.2552,046
164164.141.24.0/21164.141.24.1 to 164.141.31.254164.141.31.2552,046
165164.141.32.0/21164.141.32.1 to 164.141.39.254164.141.39.2552,046
166164.141.40.0/21164.141.40.1 to 164.141.47.254164.141.47.2552,046
167164.141.48.0/21164.141.48.1 to 164.141.55.254164.141.55.2552,046
168164.141.56.0/21164.141.56.1 to 164.141.63.254164.141.63.2552,046
169164.141.64.0/21164.141.64.1 to 164.141.71.254164.141.71.2552,046
170164.141.72.0/21164.141.72.1 to 164.141.79.254164.141.79.2552,046
171164.141.80.0/21164.141.80.1 to 164.141.87.254164.141.87.2552,046
172164.141.88.0/21164.141.88.1 to 164.141.95.254164.141.95.2552,046
173164.141.96.0/21164.141.96.1 to 164.141.103.254164.141.103.2552,046
174164.141.104.0/21164.141.104.1 to 164.141.111.254164.141.111.2552,046
175164.141.112.0/21164.141.112.1 to 164.141.119.254164.141.119.2552,046
176164.141.120.0/21164.141.120.1 to 164.141.127.254164.141.127.2552,046
177164.141.128.0/21164.141.128.1 to 164.141.135.254164.141.135.2552,046
178164.141.136.0/21164.141.136.1 to 164.141.143.254164.141.143.2552,046
179164.141.144.0/21164.141.144.1 to 164.141.151.254164.141.151.2552,046
180164.141.152.0/21164.141.152.1 to 164.141.159.254164.141.159.2552,046
181164.141.160.0/21164.141.160.1 to 164.141.167.254164.141.167.2552,046
182164.141.168.0/21164.141.168.1 to 164.141.175.254164.141.175.2552,046
183164.141.176.0/21164.141.176.1 to 164.141.183.254164.141.183.2552,046
184164.141.184.0/21164.141.184.1 to 164.141.191.254164.141.191.2552,046
185164.141.192.0/21164.141.192.1 to 164.141.199.254164.141.199.2552,046
186164.141.200.0/21164.141.200.1 to 164.141.207.254164.141.207.2552,046
187164.141.208.0/21164.141.208.1 to 164.141.215.254164.141.215.2552,046
188164.141.216.0/21164.141.216.1 to 164.141.223.254164.141.223.2552,046
189164.141.224.0/21164.141.224.1 to 164.141.231.254164.141.231.2552,046
190164.141.232.0/21164.141.232.1 to 164.141.239.254164.141.239.2552,046
191164.141.240.0/21164.141.240.1 to 164.141.247.254164.141.247.2552,046
192164.141.248.0/21164.141.248.1 to 164.141.255.254164.141.255.2552,046
193164.142.0.0/21164.142.0.1 to 164.142.7.254164.142.7.2552,046
194164.142.8.0/21164.142.8.1 to 164.142.15.254164.142.15.2552,046
195164.142.16.0/21164.142.16.1 to 164.142.23.254164.142.23.2552,046
196164.142.24.0/21164.142.24.1 to 164.142.31.254164.142.31.2552,046
197164.142.32.0/21164.142.32.1 to 164.142.39.254164.142.39.2552,046
198164.142.40.0/21164.142.40.1 to 164.142.47.254164.142.47.2552,046
199164.142.48.0/21164.142.48.1 to 164.142.55.254164.142.55.2552,046
200164.142.56.0/21164.142.56.1 to 164.142.63.254164.142.63.2552,046
201164.142.64.0/21164.142.64.1 to 164.142.71.254164.142.71.2552,046
202164.142.72.0/21164.142.72.1 to 164.142.79.254164.142.79.2552,046
203164.142.80.0/21164.142.80.1 to 164.142.87.254164.142.87.2552,046
204164.142.88.0/21164.142.88.1 to 164.142.95.254164.142.95.2552,046
205164.142.96.0/21164.142.96.1 to 164.142.103.254164.142.103.2552,046
206164.142.104.0/21164.142.104.1 to 164.142.111.254164.142.111.2552,046
207164.142.112.0/21164.142.112.1 to 164.142.119.254164.142.119.2552,046
208164.142.120.0/21164.142.120.1 to 164.142.127.254164.142.127.2552,046
209164.142.128.0/21164.142.128.1 to 164.142.135.254164.142.135.2552,046
210164.142.136.0/21164.142.136.1 to 164.142.143.254164.142.143.2552,046
211164.142.144.0/21164.142.144.1 to 164.142.151.254164.142.151.2552,046
212164.142.152.0/21164.142.152.1 to 164.142.159.254164.142.159.2552,046
213164.142.160.0/21164.142.160.1 to 164.142.167.254164.142.167.2552,046
214164.142.168.0/21164.142.168.1 to 164.142.175.254164.142.175.2552,046
215164.142.176.0/21164.142.176.1 to 164.142.183.254164.142.183.2552,046
216164.142.184.0/21164.142.184.1 to 164.142.191.254164.142.191.2552,046
217164.142.192.0/21164.142.192.1 to 164.142.199.254164.142.199.2552,046
218164.142.200.0/21164.142.200.1 to 164.142.207.254164.142.207.2552,046
219164.142.208.0/21164.142.208.1 to 164.142.215.254164.142.215.2552,046
220164.142.216.0/21164.142.216.1 to 164.142.223.254164.142.223.2552,046
221164.142.224.0/21164.142.224.1 to 164.142.231.254164.142.231.2552,046
222164.142.232.0/21164.142.232.1 to 164.142.239.254164.142.239.2552,046
223164.142.240.0/21164.142.240.1 to 164.142.247.254164.142.247.2552,046
224164.142.248.0/21164.142.248.1 to 164.142.255.254164.142.255.2552,046
225164.143.0.0/21164.143.0.1 to 164.143.7.254164.143.7.2552,046
226164.143.8.0/21164.143.8.1 to 164.143.15.254164.143.15.2552,046
227164.143.16.0/21164.143.16.1 to 164.143.23.254164.143.23.2552,046
228164.143.24.0/21164.143.24.1 to 164.143.31.254164.143.31.2552,046
229164.143.32.0/21164.143.32.1 to 164.143.39.254164.143.39.2552,046
230164.143.40.0/21164.143.40.1 to 164.143.47.254164.143.47.2552,046
231164.143.48.0/21164.143.48.1 to 164.143.55.254164.143.55.2552,046
232164.143.56.0/21164.143.56.1 to 164.143.63.254164.143.63.2552,046
233164.143.64.0/21164.143.64.1 to 164.143.71.254164.143.71.2552,046
234164.143.72.0/21164.143.72.1 to 164.143.79.254164.143.79.2552,046
235164.143.80.0/21164.143.80.1 to 164.143.87.254164.143.87.2552,046
236164.143.88.0/21164.143.88.1 to 164.143.95.254164.143.95.2552,046
237164.143.96.0/21164.143.96.1 to 164.143.103.254164.143.103.2552,046
238164.143.104.0/21164.143.104.1 to 164.143.111.254164.143.111.2552,046
239164.143.112.0/21164.143.112.1 to 164.143.119.254164.143.119.2552,046
240164.143.120.0/21164.143.120.1 to 164.143.127.254164.143.127.2552,046
241164.143.128.0/21164.143.128.1 to 164.143.135.254164.143.135.2552,046
242164.143.136.0/21164.143.136.1 to 164.143.143.254164.143.143.2552,046
243164.143.144.0/21164.143.144.1 to 164.143.151.254164.143.151.2552,046
244164.143.152.0/21164.143.152.1 to 164.143.159.254164.143.159.2552,046
245164.143.160.0/21164.143.160.1 to 164.143.167.254164.143.167.2552,046
246164.143.168.0/21164.143.168.1 to 164.143.175.254164.143.175.2552,046
247164.143.176.0/21164.143.176.1 to 164.143.183.254164.143.183.2552,046
248164.143.184.0/21164.143.184.1 to 164.143.191.254164.143.191.2552,046
249164.143.192.0/21164.143.192.1 to 164.143.199.254164.143.199.2552,046
250164.143.200.0/21164.143.200.1 to 164.143.207.254164.143.207.2552,046
251164.143.208.0/21164.143.208.1 to 164.143.215.254164.143.215.2552,046
252164.143.216.0/21164.143.216.1 to 164.143.223.254164.143.223.2552,046
253164.143.224.0/21164.143.224.1 to 164.143.231.254164.143.231.2552,046
254164.143.232.0/21164.143.232.1 to 164.143.239.254164.143.239.2552,046
255164.143.240.0/21164.143.240.1 to 164.143.247.254164.143.247.2552,046
256164.143.248.0/21164.143.248.1 to 164.143.255.254164.143.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses